> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Face Match Session



## OpenAPI

````yaml ../facematch-openapi.json GET /liveness/session
openapi: 3.0.0
info:
  title: Verisoul Face Match API
  description: >-
    Face Match is a Verisoul platform add-on that uses facial biometrics to
    match and deduplicate users, while ensuring they're humans. It can be used
    for step-up authentication or verification processes.


    FaceMatch offers two primary workflows:

    - **Authentication (1-1)**: Match a user with an enrolled account to ensure
    it's the same person

    - **Uniqueness (1-N)**: Deduplicate users to verify a user is unique


    For users, the process takes about thirty seconds, works on any
    device/language, and does not require an ID.

    For developers, FaceMatch can be integrated within a couple hours of one
    developer's time.
  version: 1.0.0
  contact:
    name: Verisoul Support
    url: https://verisoul.ai
    email: support@verisoul.ai
servers:
  - url: https://api.sandbox.verisoul.ai
    description: Sandbox server
security:
  - ApiKeyAuth: []
paths:
  /liveness/session:
    get:
      tags:
        - Session
      summary: Get Face Match Session
      description: >-
        Get a new session for Face Match verification. This is the first step in
        the Face Match workflow.
      operationId: createFaceMatchSession
      parameters:
        - name: referring_session_id
          in: query
          description: ID of a referring session, if applicable
          required: false
          schema:
            type: string
            format: uuid
        - name: simulate
          in: query
          description: >-
            See [Simulate Face
            Match](/verifications/face-match/resources/simulate-face-match) for
            more information
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Session created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionResponse'
              example:
                request_id: db4ad346-e8f1-46cc-922d-f89ca8fb7ac7
                session_id: 00022912-cbaa-4239-a3ec-51c32fcc0fc1
        '400':
          description: Bad request - groups enabled on project
          content:
            application/json:
              schema:
                type: object
                properties:
                  request_id:
                    type: string
                    format: uuid
                    description: Unique identifier for the request
                  success:
                    type: boolean
                    description: Indicates whether the request was successful
                  error:
                    type: string
                    enum:
                      - groups_enabled
                    description: Error code indicating the reason for failure
              example:
                request_id: e6f078a5-7931-4c41-ad53-1ef35a4ca762
                success: false
                error: groups_enabled
components:
  schemas:
    SessionResponse:
      type: object
      properties:
        request_id:
          type: string
          format: uuid
          description: Unique identifier for the request
        session_id:
          type: string
          format: uuid
          description: Unique identifier for the session
      required:
        - request_id
        - session_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key authentication

````